Glances -- Eye on your system
=============================

## Description

Glances is a CLI curses based monitoring tool for both GNU/Linux and BSD.

Glances uses the libstatgrab library to get information from your system.
Glances is developed in Python and uses the python-statgrab lib.

![screenshot](https://github.com/nicolargo/glances/raw/master/screenshot.png)

## Installation

Get the latest version:

	$ wget https://github.com/downloads/nicolargo/glances/glances-1.3.1.tar.gz

Glances use a standard GNU style installer:

	$ tar zxvf glances-1.3.1.tar.gz
	$ cd glances-1.3.1
	$ ./configure
	$ make
	$ sudo make install

Pre-requisites:

* Python 2.6+ (not tested with Python 3+)
* python-statgrab 0.5+ (did not work with python-statgrab 0.4)

Notes: The Debian Squeeze repos only include the python-statgrab 0.4.
You had to install the version 0.5 using the following commands:

	$ sudo apt-get install libstatgrab-dev pkg-config python-dev make
	$ wget http://ftp.uk.i-scream.org/sites/ftp.i-scream.org/pub/i-scream/pystatgrab/pystatgrab-0.5.tar.gz
	$ tar zxvf pystatgrab-0.5.tar.gz
	$ cd pystatgrab-0.5/
	$ ./setup.py build
	$ sudo ./setup.py install

Notes: Ubuntu 10.04 and 10.10.
The instruction to install the version 0.5 are here: https://github.com/nicolargo/glances/issues/5#issuecomment-3033194

## Running

Easy:

	$ glances.py

## User guide

By default, stats are refrsh every second, to change this setting, you can
use the -t option. For exemple to set the refrech rate to 5 seconds:

	$ glances.py -t 5

Importants stats are colored:

* GREEN:   stat counter is < 50%
* BLUE:    stat counter is > 50% and < 70%
* MAGENTA: stat counter is > 70% and < 90%
* RED:     stat counter is > 90%

When Glances is running, you can press:

* 'a' to set the automatic mode. The process list is sorted automatically

    If CPU > 70%, sort by process CPU consomption

    If MEM > 70%, sort by process size

* 'c' the processes list is sorted by CPU consumption
* 'm' the processes list is sorted by process size
* 'q' Exit

## Todo

You are welcome to contribute to this software.

* Packaging for Debian, Ubuntu, Fedora, Redhat, BSD...
* Check the needed Python library in the configure.ac
* Add file system stats when the python-statgrab is corrected
* Add a user guide window
